;------------------------------------------------------------
;------------------------------------------------------------
;------------------------------------------------------------
;+
; NAME:monthname
;
; PURPOSE:gives the name of a month
;
; CATEGORY:
;
; CALLING SEQUENCE:name=monthname(number)
; 
; INPUTS: number, the month number (from 1 to 12)
;
; KEYWORD PARAMETERS:those of string fonction to specify the
;                    format of the month (the C format)
;
; OUTPUTS: an integer, the month's name
;
; COMMON BLOCKS:None
;
; SIDE EFFECTS:
;
; RESTRICTIONS:
;
; EXAMPLE:
;
; MODIFICATION HISTORY:Sebastien Masson (smasson@lodyc.jussieu.fr)
;                      1 October 2001
;-
;------------------------------------------------------------
;------------------------------------------------------------
;------------------------------------------------------------
FUNCTION monthname,  mm1, _extra = ex
   return, string(format='(C(CMoA0))',31*(mm1-1), _extra = ex)
end
