PRO palit, coef, red, green, blue
;+
;  Eclaircit la palette courante en jouant sur la luminosite
;
;          coef = regle l'attenuation des couleurs
;          par defaut divise par 2 la luminosite
;
;  coef = 0.1 pour la QMS papier de l'IPSL convient tres bien
;-
   IF n_elements(coef) EQ 0 THEN coef = 0.5
   IF n_elements(red) EQ 0 THEN tvlct, red, green, blue, /get
   color_convert, red, green, blue, h, l, s, /rgb_hls
   l = 1.-coef*(1.-l)
;
;  Le noir doit rester bien noir !
;  toutes mes palettes commencent par du noir et finissent par du blanc
;
   l[0] = 0.
   tvlct, h, l, s, /hls
   return
END
